Skip to main content
PUT
/
database
/
{databaseId}
/
masterCredentials
Edit database master credentials
curl --request PUT \
  --url https://api.qovery.com/database/{databaseId}/masterCredentials \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "login": "<string>",
  "password": "<string>"
}
'
{
  "host": "<string>",
  "port": 123,
  "login": "<string>",
  "password": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://qovery-docs-ai-use-cases-highlight.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

databaseId
string<uuid>
required

Database ID

Body

application/json
login
string
required
password
string
required

Response

Edit database credentials

host
string
required
port
integer
required
login
string
required
password
string
required